flqueue.cpp File Reference

Implementation of the flext message queuing functionality. More...

`#include "flext.h"`
`#include "flinternal.h"`
`#include "flcontainers.h"`
`#include <cstring>`
`#include "flpushns.h"`
`#include "flpopns.h"`

## Classes

class | QueueFifo
class | Queue
struct | QVars
class | flext ::MsgBundle
class | flext ::MsgBundle::Msg

## Macros

#define | __FLEXT_QUEUE_CPP
#define | PERMANENTIDLE
#define | STATSIZE 8
#define | CHUNK 10

## Functions

void | Trigger ()
bool | QWork (bool syslock, flext_base *flushobj=NULL)
void | QTick (flext_base *c)

## Detailed Description

Implementation of the flext message queuing functionality.

Todo:
  Let's see if queuing can be implemented for Max/MSP with defer_low

if FLEXT_PDLOCK is defined, the new PD thread lock functions are used

## Macro Definition Documentation

## __FLEXT_QUEUE_CPP

#define __FLEXT_QUEUE_CPP

## CHUNK

#define CHUNK 10

## PERMANENTIDLE

#define PERMANENTIDLE

## STATSIZE

#define STATSIZE 8

## Function Documentation

## QTick()

void QTick | ( | flext_base * | c | ) |

## QWork()

bool QWork | ( | bool | syslock,
|  | flext_base * | flushobj = `NULL`
| ) |  |

## Trigger()

void Trigger | ( |  | ) |